Package org.gitana.platform.client.permission

# Class PermissionCheck

java.lang.Object
org.gitana.platform.support.GitanaObjectImpl
org.gitana.platform.client.permission.PermissionCheck

All Implemented Interfaces:
  `Serializable`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`

Direct Known Subclasses:
  `PermissionCheckResult`

public class PermissionCheck extends org.gitana.platform.support.GitanaObjectImpl

Author:
  uzi
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FIELD_PERMISSION_ID`
`static final String`
`FIELD_PERMISSIONED_ID`
`static final String`
`FIELD_PRINCIPAL_ID`

### Fields inherited from class org.gitana.platform.support.GitanaObjectImpl

`serialVersionUID`

## Constructor Summary

Constructors
Constructor
Description
`PermissionCheck(com.fasterxml.jackson.databind.node.ObjectNode object)`
`PermissionCheck(String permissionedId, String principalId, String permissionId)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getPermissionedId()`
`String`
`getPermissionId()`
`String`
`getPrincipalId()`

### Methods inherited from class org.gitana.platform.support.GitanaObjectImpl

`_objectGetFloat, _objectGetInt, _objectGetLong, _objectGetObject, _objectGetString, _objectSet, get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, putObject, remove, set, toJSON, toJSONString, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### FIELD_PERMISSIONED_ID

public static final String FIELD_PERMISSIONED_ID

See Also:
  - Constant Field Values

### FIELD_PRINCIPAL_ID

public static final String FIELD_PRINCIPAL_ID

See Also:
  - Constant Field Values

### FIELD_PERMISSION_ID

public static final String FIELD_PERMISSION_ID

See Also:
  - Constant Field Values

## Constructor Details

### PermissionCheck

public PermissionCheck(com.fasterxml.jackson.databind.node.ObjectNode object)

### PermissionCheck

public PermissionCheck(String permissionedId, String principalId, String permissionId)

## Method Details

### getPermissionedId

public String getPermissionedId()

### getPrincipalId

public String getPrincipalId()

### getPermissionId

public String getPermissionId()